Package org.silverpeas.components.gallery.media

# Class AbstractMediaMetadataExtractor

java.lang.Object
org.silverpeas.components.gallery.media.AbstractMediaMetadataExtractor

All Implemented Interfaces:
  `MediaMetadataExtractor`

Direct Known Subclasses:
  `DrewMediaMetadataExtractor`

public abstract class AbstractMediaMetadataExtractor extends Object implements MediaMetadataExtractor

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<IptcProperty>`
  `imageIptcProperties`
  `protected List<ExifProperty>`
  `imageProperties`
  `protected Map<String,org.silverpeas.kernel.bundle.LocalizationBundle>`
  `metaDataBundles`
  `protected org.silverpeas.kernel.bundle.SettingBundle`
  `settings`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMediaMetadataExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<IptcProperty>`
  `defineImageIptcProperties(Iterable<String> propertyNames)`
  `final List<ExifProperty>`
  `defineImageProperties(Iterable<String> propertyNames)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.components.gallery.media.MediaMetadataExtractor

  `extractImageExifMetaData, extractImageExifMetaData, extractImageIptcMetaData, extractImageIptcMetaData`

- ## Field Details

  - ### settings

    protected org.silverpeas.kernel.bundle.SettingBundle settings

  - ### metaDataBundles

    protected Map<String,org.silverpeas.kernel.bundle.LocalizationBundle> metaDataBundles

  - ### imageProperties

    protected List<ExifProperty> imageProperties

  - ### imageIptcProperties

    protected List<IptcProperty> imageIptcProperties

- ## Constructor Details

  - ### AbstractMediaMetadataExtractor

    public AbstractMediaMetadataExtractor()

- ## Method Details

  - ### defineImageProperties

    public final List<ExifProperty> defineImageProperties(Iterable<String> propertyNames)
    Specified by:
      `defineImageProperties` in interface `MediaMetadataExtractor`

  - ### defineImageIptcProperties

    public final List<IptcProperty> defineImageIptcProperties(Iterable<String> propertyNames)
    Specified by:
      `defineImageIptcProperties` in interface `MediaMetadataExtractor`